diff --git a/engines/pegasus/neighborhood/tsa/fulltsa.h b/engines/pegasus/neighborhood/tsa/fulltsa.h
index a646d57..8f8bacf 100644
--- a/engines/pegasus/neighborhood/tsa/fulltsa.h
+++ b/engines/pegasus/neighborhood/tsa/fulltsa.h
@@ -68,6 +68,8 @@ public:
 
 	void checkContinuePoint(const RoomID, const DirectionConstant);
 
+	void setAmbienceLevel(const uint16);
+
 	bool canSolve();
 	void doSolve();
 
@@ -99,9 +101,11 @@ protected:
 	void downButton(const Input &);
 	void startDoorOpenMovie(const TimeValue, const TimeValue);
 	TimeValue getViewTime(const RoomID, const DirectionConstant);
+	void showViewFrame(TimeValue);
 	void findSpotEntry(const RoomID, const DirectionConstant, SpotFlags, SpotTable::Entry &);
 	void turnTo(const DirectionConstant);
 	CanMoveForwardReason canMoveForward(ExitTable::Entry &);
+	void moveForward();
 	CanOpenDoorReason canOpenDoor(DoorTable::Entry &);
 	void bumpIntoWall();
 	void initializeTBPMonitor(const int, const ExtraID);
@@ -109,10 +113,13 @@ protected:
 	void getExtraCompassMove(const ExtraTable::Entry &, FaderMoveSpec &);
 	Hotspot *getItemScreenSpot(Item *, DisplayElement *);
 	void openDoor();
+	void doorOpened();
 	void turnRight();
 	void turnLeft();
 	void closeDoorOffScreen(const RoomID, const DirectionConstant);
+	void startExtraSequence(const ExtraID, const NotificationFlags, const InputBits);
 	void playExtraMovie(const ExtraTable::Entry &, const NotificationFlags, const InputBits interruptionInput);
+	void startTurnPush(const TurnDirection, const TimeValue, const DirectionConstant);
 	void handleInput(const Input &, const Hotspot *);
 	void arriveAtTSA25Red();
 	void startUpComparisonMonitor();
@@ -142,6 +149,15 @@ protected:
 	void checkRobotLocations(const RoomID, const DirectionConstant);
 	void getExtraEntry(const uint32, ExtraTable::Entry &);
 
+	Movie _extraMovie;
+	NotificationCallBack _extraMovieCallBack;
+	Movie _blankMovie;
+
+	Sound _entranceMusic;
+	SoundFader _entranceFader;
+	bool _playedSolvedMusicCue;
+	Sound _solvedMusicCue;
+
 	Sprite _sprite1, _sprite2, _sprite3;
 	FuseFunction _utilityFuse;
 	RipTimer _ripTimer;
diff --git a/engines/pegasus/neighborhood/tsa/tinytsa.cpp b/engines/pegasus/neighborhood/tsa/tinytsa.cpp
index 0326c7f..e703929 100644
--- a/engines/pegasus/neighborhood/tsa/tinytsa.cpp
+++ b/engines/pegasus/neighborhood/tsa/tinytsa.cpp
@@ -28,6 +28,7 @@
 #include "pegasus/pegasus.h"
 #include "pegasus/ai/ai_area.h"
 #include "pegasus/items/biochips/aichip.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/items/biochips/opticalchip.h"
 #include "pegasus/neighborhood/mars/constants.h"
 #include "pegasus/neighborhood/norad/constants.h"
@@ -179,7 +180,10 @@ Common::String TinyTSA::getEnvScanMovie() {
 }
 
 void TinyTSA::loadAmbientLoops() {
-	loadLoopSound1("Sounds/TSA/T01NAE.NEW.22K.AIFF");
+	if (_vm->isDVD()) // Updated sound in the DVD version
+		loadLoopSound1("Sounds/TSA/T01NAE.NEW.32K.AIFF");
+	else
+		loadLoopSound1("Sounds/TSA/T01NAE.NEW.22K.AIFF");
 }
 
 int16 TinyTSA::getStaticCompassAngle(const RoomID room, const DirectionConstant dir) {
@@ -385,6 +389,11 @@ void TinyTSA::receiveNotification(Notification *notification, const Notification
 					break;
 				}
 			}
+			if (((GameState.getNoradFinished() && !(GameState.getMarsFinished() || GameState.getWSCFinished())) ||
+				(GameState.getMarsFinished() && !(GameState.getNoradFinished() || GameState.getWSCFinished())) ||
+				(GameState.getWSCFinished() && !(GameState.getNoradFinished() || GameState.getMarsFinished()))) &&
+				g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB43", kArthurTSASawFirstOpMemMovie);			
 
 			requestExtraSequence(kTinyTSA37OpMemReviewToMainMenu, kExtraCompletedFlag, kFilterNoInput);
 			break;
@@ -393,6 +402,8 @@ void TinyTSA::receiveNotification(Notification *notification, const Notification
 			GameState.setTSAState(kPlayerLockedInPegasus);
 			showMainJumpMenu();
 			makeContinuePoint();
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA22", kArthurTSAInPegasusNoVideo);
 			break;
 		case kTinyTSA37JumpToNoradMenu:
 			setCurrentActivation(kActivationTinyTSAJumpToNorad);
